networks:
  vpn:
    external: true
    name: vpn

services:
  olivetin:
    container_name: olivetin
    image: jamesread/olivetin:latest-3k
    user: root
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro #SOCKETHERE
      - ./config:/config # replace host path or volume as needed
      - ./ssh:/home/olivetin/.ssh
    ports:
      - "PORT1:1337"
    restart: unless-stopped
    #labels:
      #traefik.enable: true
      #traefik.http.routers.olivetin.entrypoints: web,websecure
      #traefik.http.routers.olivetin.rule: Host(`DOMAINSUBNAMEHERE`)
      #traefik.http.routers.olivetin.tls: true
      #traefik.http.routers.olivetin.tls.certresolver: production
      #traefik.http.services.olivetin.loadbalancer.server.port: PORT1
      #traefik.http.routers.olivetin.middlewares:
    networks:
      vpn:
        ipv4_address: IPADDRESSHERE
